JavaScript Security Bug in Opera

Aug 16, 2007

A critical vulnerability has been discovered in the Opera Web browser.

The vulnerability, which has been assigned the CVE ID CVE-2007-4367 could be exploited by attackers to execute arbitrary malicious code. The bug, which has not yet been precisely specified, occurs on executing JavaScript code and can lead to a virtual function being called with an invalid pointer. An attacker would need to trick an Opera user into visiting a carefully crafted website to run the exploit.

Both security professionals Secunia and Opera regard the bug as highly critical. The vulnerability affects all older versions prior to 9.22 independently of the operating system platform. Opera users are advised to update to version 9.23 of Opera which was released yesterday. Besides the fix, the new version also includes stability enhancements. The browser is available from the Norwegian developer's website.

Related content

comments powered by Disqus

Issue 166/2014

Buy this issue as a PDF

Digital Issue: Price $9.99
(incl. VAT)

News

njobs Europe
What:
Where:
Country:
Njobs Netherlands Njobs Deutschland Njobs United Kingdom Njobs Italia Njobs France Njobs Espana Njobs Poland
Njobs Austria Njobs Denmark Njobs Belgium Njobs Czech Republic Njobs Mexico Njobs India Njobs Colombia